[arch-commits] CVS update of extra/multimedia/gnash-kde (PKGBUILD)

Pierre Schmitz pierre at archlinux.org
Sun Aug 26 10:10:56 EDT 2007


    Date: Sunday, August 26, 2007 @ 10:10:56
  Author: pierre
    Path: /home/cvs-extra/extra/multimedia/gnash-kde

   Added: PKGBUILD (1.1)

added gnash-kde


----------+
 PKGBUILD |   44 ++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 44 insertions(+)


Index: extra/multimedia/gnash-kde/PKGBUILD
diff -u /dev/null extra/multimedia/gnash-kde/PKGBUILD:1.1
--- /dev/null	Sun Aug 26 10:10:56 2007
+++ extra/multimedia/gnash-kde/PKGBUILD	Sun Aug 26 10:10:56 2007
@@ -0,0 +1,44 @@
+pkgname=gnash-kde
+pkgver=0.8.1rc4
+_rcver=0.8.1-rc4
+pkgrel=1
+pkgdesc="A GNU Flash movie player."
+arch=('i686' 'x86_64')
+url="http://www.gnu.org/software/gnash/"
+license=("GPL")
+depends=('kdebase' 'gnash-common')
+makedepends=('mesa' 'pkgconfig')
+source=(http://www.gnashdev.org/dev_snapshots/gnash-$_rcver.tgz)
+options=('libtool')
+md5sums=('320c1e50cc4392818b2bb417a39fe64c')
+
+build() {
+  cd $startdir/src/gnash-$_rcver
+  
+    ./configure --prefix=/usr \
+       --enable-kparts \
+          --disable-nsapi \
+             --enable-gui=KDE \
+                --enable-z \
+                   --enable-jpeg \
+                      --enable-renderer=agg \
+                         --enable-media=ffmpeg \
+                            --enable-write \
+                               --disable-cygnal \
+                                --enable-klash \
+                                 --disable-qtopia \
+                                  --with-qt-incl=/opt/qt/include \
+                                   --with-qt-lib=/opt/qt/lib
+                                   
+                                     make || return 1
+                                       mkdir $startdir/pkg-temp
+                                         make DESTDIR=$startdir/pkg-temp install
+                                         
+                                           install -m755 -D $startdir/pkg-temp/usr/bin/kde-gnash $startdir/pkg/usr/bin/kde-gnash
+                                           install -D $startdir/pkg-temp/usr/lib/kde3/libklashpart.a $startdir/pkg/usr/lib/kde3/libklashpart.a
+                                           install -D $startdir/pkg-temp/usr/lib/kde3/libklashpart.so $startdir/pkg/usr/lib/kde3/libklashpart.so
+                                           install -D $startdir/pkg-temp/usr/share/apps/klash/klashpartui.rc $startdir/pkg/usr/share/apps/klash/klashpartui.rc
+                                           install -D $startdir/pkg-temp/usr/share/apps/klash/pluginsinfo $startdir/pkg/usr/share/apps/klash/pluginsinfo
+                                           install -D $startdir/pkg-temp/usr/share/services/klash_part.desktop $startdir/pkg/usr/share/services/klash_part.desktop
+                                           
+                                           }




More information about the arch-commits mailing list